> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new personalization

> Create new personalization with given parameters



## OpenAPI

````yaml /automation.api.json post /personalizations
openapi: 3.0.3
info:
  title: OpenAPI definition for automation api
  version: 1.0.0
servers:
  - url: https://api.kameleoon.com
security: []
tags:
  - description: >-
      This is an object representing a Kameleoon account.You can retrieve it to
      view its properties, such as its current e-mail address or locale.With
      proper authorization, your application can read and update an account and
      profile settings.<aside class="notice"> Not all settings are exposed via
      the API. See the API reference for details. </aside>
    name: Account
  - description: >-
      Feature flag is used to  help our clients implement new features, test and
      deploy them viaour SDK. This service allows you to create and configure
      the feature flag which will be used in the source code of your feature.
    name: FeatureFlag
  - description: >
      You can use your account to set up multiple websites.This is helpful if
      you want to test your website and its mobile version or if you want to try
      Kameleoon on your site in a pre-production environment,It allows you to
      create different testing environments.
    name: Site
  - description: >-
      Custom data is an advanced tool that lets you target your customers in a
      unique way using data that is already available,such as user account
      information.
    name: CustomData
  - description: >-
      Experiment is an A/B test which can be targeted to a specific audience or
      any other audience. Kameleoon has several types of experiments: `Classic`,
      `Multivariate test (MVT)`, `Server-side` and the one that suits the best
      can be used to achieve the best results.
    name: Experiment
  - description: >-
      To measure the efficiency of an experiment or a personalization, it must
      be linked to one or several goals. All goals can be managed through
      Kameleoon interface or Automation API. There are variety of different
      goals you can choose from to better measure the results.
    name: Goal
  - description: This is an object representing an image
    name: Image
  - description: >-
      This is an object representing a key moment. Please note that `KeyMoment`
      has now been renamed to `Triggers`.
    name: KeyMoment
  - description: >-
      KeyPage allows you to target visitors that have visited a particular page,
      or multiple pages on your website.
    name: KeyPage
  - description: >
      Web personalization tailors the experience for each visitor to improve
      your conversion rate.

      The personalization object contains all vital information about a
      personalization as well as segments and variations used in it.
    name: Personalization
  - description: This is an object representing a projectThemeConfig
    name: ProjectThemeConfig
  - description: This is an object representing recommender block
    name: RecommenderBlock
  - description: >
      Referrer is an advanced tool that allows you to target visitors according
      to acquisition methods that lead them to your website.

      Kameleoon automatically creates 5 default channels: `Bing`, `Baidu`,
      `Google`, `Yahoo` and `Google Adwords`.
    name: Referrer
  - description: >-
      Segmenting allows you to effectively target visitors.You can create,
      modify, and duplicate segments using the Segment Builder tool in
      Kameleoon’s backend or through our Automation API.
    name: Segment
  - description: This is an object representing studio recommender block
    name: StudioRecommenderBlock
  - description: This is an object representing tag
    name: Tag
  - description: >-
      Represents an object aggregating the main information about an experiment
      result.
    name: Takeaway
  - description: This is an object representing a takeaway comment.
    name: TakeawayComment
  - description: >-
      TargetingRule is a system entity that combines segments (user groups) and
      triggers (activation conditions) to define precise targeting rules for
      experiments.
    name: TargetingRule
  - description: This is an object representing a theme
    name: Theme
  - description: >-
      A variation is a modified version of your webpage that can be edited for
      experiments or personalization.

      When you add a new variation, Kameleoon creates a copy of the original
      page from which you started.All changes will be saved in the variation,
      which will include all your edits when the test starts.
    name: Variation
  - description: This is an object representing a widget
    name: Widget
  - description: This is an object representing a widget studio
    name: WidgetStudio
  - description: This is an object representing widget studio template
    name: WidgetStudioTemplate
  - name: Audience
    description: >-
      Audience refers to statistical information regarding the number of visits,
      conversions, and other metrics related to a specific segment. Gaining
      insights into your website's audience is essential for effectively
      adjusting segments.
  - name: Data
    description: >
      Web personalization involves offering visitors a tailored experience to
      optimize your conversion rate.

      Personalization object contains information about a personalization, as
      well as the segments and variations used in it.
  - name: Raw Export
    description: >-
      Start a raw data exportation for experiment or personalization, which will
      be sent to the given emails.
paths:
  /personalizations:
    post:
      tags:
        - Personalization
      summary: Create new personalization
      description: Create new personalization with given parameters
      operationId: create-personalization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Personalization'
        required: true
      responses:
        '201':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Personalization'
          description: Created
        '400':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Bad Request
        '401':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unauthorized
        '403':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Forbidden
        '404':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Not Found
        '422':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Unprocessable Entity
        '423':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Locked
        '429':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Too Many Requests
        '500':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ExternalResponseObject'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Personalization:
      required:
        - baseURL
        - name
        - siteId
      type: object
      properties:
        attributionWindow:
          type: integer
          format: int64
        baseURL:
          type: string
          description: URL of the website to load in editor and preview mode
        cappingPerVisitorConvertGoal:
          type: boolean
          description: If true, cease exposing the same visitor when the goal is reached
        cappingPerVisitorExposedVisits:
          type: boolean
          description: >-
            If true, cease exposing the same visitor when the number of visits
            exceeds this limit
        cappingPerVisitorExpositions:
          type: boolean
          description: >-
            If true, cease exposing the same visitor when total exposures exceed
            this limit.
        cappingPerVisitorGoalId:
          type: integer
          description: >-
            Cease exposing the same visitor when the goal with this Id is
            reached
          format: int64
        category:
          type: string
        checkConditionsRule:
          type: string
          description: >-
            Kameleoon’s behavior in determining whether a visitor is targeted or
            not.
          readOnly: true
          enum:
            - ALL_CONDITIONS
            - CUMULATIVE_WEIGHT
        collectingDataEnabled:
          type: boolean
        createdBy:
          type: integer
          description: Account Id of the creator of this personalization
          format: int64
          readOnly: true
        cssCode:
          type: string
          description: CSS code to be integrated into the source code of the page
        customExpositionRate:
          type: number
          description: Percentage of the segment exposed to a personalization
          format: double
        dateCollectingDataStopped:
          type: string
          description: Date of the latest data collection
          format: date-time
          readOnly: true
        dateCreated:
          type: string
          description: Date when personalization was created
          format: date-time
          readOnly: true
        dateEnded:
          type: string
          description: Date when personalization was ceased
          format: date-time
          readOnly: true
        dateModified:
          type: string
          description: Date and time when the personalization was last modified
          format: date-time
          readOnly: true
        dateStarted:
          type: string
          description: Date when personalization was started
          format: date-time
          readOnly: true
        dateStatusModified:
          type: string
          description: Timestamp of the last update
          format: date-time
          readOnly: true
        description:
          type: string
          description: Description of the personalization
        exposedVisitsSameVisitorMax:
          type: integer
          description: >-
            Cease exposing the same visitor when the number of visits exceed
            this limit
          format: int32
        expositionFrequencyDelay:
          type: integer
          description: Frequency of exposure for different visitors
          format: int64
        format:
          type: string
        globalCappingGoalId:
          type: integer
          description: Threshold goal for the total number of exposed visitors
          format: int64
        globalCappingNumberVisitors:
          type: boolean
          description: Option to allow capping visitors for a configuration
        globalCappingVisitorsConfig:
          type: string
          description: Visitors configuration for the capped number of exposed visitors
          enum:
            - NUMBER_VISITORS
            - NUMBER_VISITORS_CONVERT_GOAL
            - NUMBER_VISITORS_NOT_CONVERT_GOAL
        globalScript:
          type: string
          description: >-
            JavaScript code that will be applied only to the selected
            personalization and executed in the end of the Global custom script
        goals:
          uniqueItems: true
          type: array
          description: Selected goals
          items:
            type: integer
            description: Selected goals
            format: int64
        id:
          type: integer
          description: Unique Id of the personalization
          format: int64
          readOnly: true
        imageInPage:
          $ref: '#/components/schemas/ImageInPage'
        isArchived:
          type: boolean
          description: Indicates if the personalization is archived
        javaScriptCode:
          type: string
          description: JavaScript code to add in the page
        location:
          type: string
        mainGoalId:
          type: integer
          description: Id of the main goal
          format: int64
        market:
          type: string
        maxNumberVisitorsExposed:
          type: integer
          description: Limit of the total number of exposed visitors
          format: int64
        metaReadOnly:
          type: string
          description: Personalization in READ_ONLY mode for sub-personalization
        multiExpositionFrequencyDelay:
          type: integer
          description: Minimum delay between each exposure
          format: int64
        name:
          type: string
          description: Name of the personalization
        personalizationConfiguration:
          type: string
          description: Personalization configuration
          enum:
            - CUSTOM
            - HTML_IN_PAGE
            - IMAGE_IN_PAGE
            - INFOBULLE_ABOVE
            - NEWS_LETTER
            - NONE
            - POPIN
            - STICKY_BLOCK
            - TEMPLATE
            - VARIATION
        popIn:
          $ref: '#/components/schemas/PopIn'
        priority:
          type: integer
          description: Priority of the personalization
          format: int32
          readOnly: true
        siteId:
          type: integer
          description: Site Id of the project the personalization belongs to
          format: int64
        status:
          type: string
          description: Status of the personalization
          readOnly: true
        stickyBlock:
          $ref: '#/components/schemas/StickyBlock'
        tags:
          type: array
          description: List of tags
          items:
            type: string
            description: List of tags
        targetingRule:
          $ref: '#/components/schemas/TargetingRule'
        targetingRuleId:
          type: integer
          description: Deprecated. Use TargetingRule instead.
          format: int64
          readOnly: true
          deprecated: true
        targetingSegmentId:
          type: integer
          description: Selected targeting segment
          format: int64
        trackingTools:
          type: array
          description: List of tracking tools
          items:
            $ref: '#/components/schemas/TrackingTool'
        type:
          type: string
          description: Type of personalization
          enum:
            - AUTOPROMO
            - BUILDER
            - CLASSIC
            - IA
            - PERSO_RULE
        variationId:
          type: integer
          description: Variation Id of the personalization
          format: int64
        variationIds:
          type: array
          description: >-
            List of variation ids for this personalization. Includes variations
            from other personalizations (variation.personalizationId != this
            ID). Variations with personalizationId can only be deleted via
            'Delete variation' operation.
          items:
            type: integer
            description: >-
              List of variation ids for this personalization. Includes
              variations from other personalizations
              (variation.personalizationId != this ID). Variations with
              personalizationId can only be deleted via 'Delete variation'
              operation.
            format: int64
        visitExpositionFrequency:
          type: integer
          description: Frequency of exposure during a unique visit
          format: int32
        visitorExpositionFrequency:
          type: integer
          description: Frequency of exposure for a unique visitor
          format: int32
        visitorExpositionFrequencyMax:
          type: integer
          description: >-
            Cease exposing to this visitor once their exposure exceeds this
            limit.
          format: int32
        widget:
          $ref: '#/components/schemas/Template'
    ExternalResponseObject:
      type: object
      properties:
        code:
          type: string
        impersonator:
          type: string
        message:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - SUCCESS
            - ERROR
        sub:
          type: string
        time:
          type: integer
          format: int64
        timestamp:
          type: string
          format: date-time
    ImageInPage:
      type: object
      properties:
        domElementSelector:
          type: string
        height:
          type: string
        htmlContent:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        mainPageUrl:
          type: string
        positionDefinition:
          type: string
          enum:
            - EDITOR
            - SELECTOR
        positionSelectorRelative:
          type: string
          enum:
            - REPLACE
            - BEFORE
            - AFTER
            - 'NULL'
        redirectURL:
          type: string
        width:
          type: string
      description: Settings of an image in page
    PopIn:
      type: object
      properties:
        animationDirection:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        animationTrigger:
          type: string
          enum:
            - ON_OPEN
            - ON_CLOSE
            - ON_OPEN_AND_CLOSE
            - CONTINUOUSLY
        animationType:
          type: string
          enum:
            - NONE
            - FADE
            - SLIDER
            - ZOOM_IN
            - ZOOM_OUT
            - BOUNCE
        backgroundColor:
          type: string
        closeWithClickOnOverlay:
          type: boolean
        customPositionAxisX:
          type: string
        customPositionAxisY:
          type: string
        displayImageConfiguration:
          type: string
          enum:
            - DISPLAY_ALL_DEVICES
            - DISPLAY_ONLY_DESKTOP
            - DISPLAY_ONLY_TABLET
            - DISPLAY_ONLY_MOBILE
            - DISPLAY_DESKTOP_TABLET
            - DISPLAY_DESKTOP_MOBILE
            - DISPLAY_TABLET_MOBILE
        fontSize:
          type: string
        height:
          type: string
        heightImageDesktop:
          type: string
        heightImageMobile:
          type: string
        heightImageTablet:
          type: string
        htmlContent:
          type: string
        idTarget2Sell:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        imageDesktop:
          $ref: '#/components/schemas/Image'
        imageMobile:
          $ref: '#/components/schemas/Image'
        imageTablet:
          $ref: '#/components/schemas/Image'
        name:
          type: string
        position:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        redirectURL:
          type: string
        targetBlank:
          type: boolean
        template:
          type: boolean
        textColor:
          type: string
        textContent:
          type: string
        type:
          type: string
          enum:
            - SINGLE_IMAGE
            - FULL_IMAGE_TEXT
            - FULL_TEXT_IMAGE
            - HTML
            - TARGET2SELL
        width:
          type: string
        widthImageDesktop:
          type: string
        widthImageMobile:
          type: string
        widthImageTablet:
          type: string
        withOverlay:
          type: boolean
      description: Pop-In settings
    StickyBlock:
      type: object
      properties:
        animationDirection:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        animationTrigger:
          type: string
          enum:
            - ON_OPEN
            - ON_CLOSE
            - ON_OPEN_AND_CLOSE
            - CONTINUOUSLY
        animationType:
          type: string
          enum:
            - NONE
            - FADE
            - SLIDER
            - ZOOM_IN
            - ZOOM_OUT
            - BOUNCE
        backgroundColor:
          type: string
        customPositionAxisX:
          type: string
        customPositionAxisY:
          type: string
        displayImageConfiguration:
          type: string
          enum:
            - DISPLAY_ALL_DEVICES
            - DISPLAY_ONLY_DESKTOP
            - DISPLAY_ONLY_TABLET
            - DISPLAY_ONLY_MOBILE
            - DISPLAY_DESKTOP_TABLET
            - DISPLAY_DESKTOP_MOBILE
            - DISPLAY_TABLET_MOBILE
        fontSize:
          type: string
        height:
          type: string
        heightImageDesktop:
          type: string
        heightImageMobile:
          type: string
        heightImageTablet:
          type: string
        htmlContent:
          type: string
        idTarget2Sell:
          type: string
        image:
          $ref: '#/components/schemas/Image'
        imageDesktop:
          $ref: '#/components/schemas/Image'
        imageMobile:
          $ref: '#/components/schemas/Image'
        imageTablet:
          $ref: '#/components/schemas/Image'
        name:
          type: string
        position:
          type: string
          enum:
            - TOP
            - BOTTOM
            - LEFT
            - RIGHT
            - CENTER
            - TOP_LEFT
            - TOP_RIGHT
            - BOTTOM_LEFT
            - BOTTOM_RIGHT
            - CUSTOM
        redirectURL:
          type: string
        shiftContent:
          type: boolean
        shouldScrollTo:
          type: boolean
        targetBlank:
          type: boolean
        template:
          type: boolean
        textColor:
          type: string
        textContent:
          type: string
        type:
          type: string
          enum:
            - SINGLE_IMAGE
            - FULL_IMAGE_TEXT
            - FULL_TEXT_IMAGE
            - HTML
            - TARGET2SELL
        width:
          type: string
        widthImageDesktop:
          type: string
        widthImageMobile:
          type: string
        widthImageTablet:
          type: string
      description: Sticky block settings
    TargetingRule:
      required:
        - siteId
      type: object
      properties:
        id:
          type: integer
          description: Unique Id of the targeting rule
          format: int64
          readOnly: true
        segmentConfiguration:
          type: string
          description: Configuration defining how the segment should be applied
          enum:
            - ALL_VISITORS
            - AUTOPROMO_AUTODEFINED
            - GRAPHICAL_PAGES
            - HEAT_SLICE
            - PAGE
            - SAVED_TEMPLATE
            - SITE
            - URL
        segmentId:
          type: integer
          description: >-
            Id of the associated segment (user group) for targeting. If segment
            is deprecated, no trigger will be available for this rule.
          format: int64
        siteId:
          type: integer
          description: Id of the project this targeting rule belongs to
          format: int64
        targetingConfigurationParam:
          type: string
          description: >-
            Additional parameters for trigger configuration. For
            SAVED_TEMPLATE/HEAT_SLICE - contains segment Id. For PAGE - contains
            full URL. For URL - contains URL fragment.
        triggerConfiguration:
          type: string
          description: >-
            Configuration defining how the trigger should be applied.
            ALL_VISITORS configuration is not allowed for this trigger type
          enum:
            - ALL_VISITORS
            - AUTOPROMO_AUTODEFINED
            - GRAPHICAL_PAGES
            - HEAT_SLICE
            - PAGE
            - SAVED_TEMPLATE
            - SITE
            - URL
        triggerId:
          type: integer
          description: Id of the associated trigger (activation condition)
          format: int64
      description: >-
        Targeting Rule defines the conditions for displaying content to specific
        user groups based on segments and triggers
    TrackingTool:
      type: object
      properties:
        adobeOmnitureObject:
          type: string
        comScoreCustomerId:
          type: string
        comScoreDomain:
          type: string
        contentSquareUrl:
          type: string
        customIntegrations:
          uniqueItems: true
          type: array
          items:
            type: string
        customVariable:
          type: integer
          format: int32
        eulerianUserCentricParameter:
          type: string
        name:
          type: string
          enum:
            - GOOGLE_ANALYTICS4
            - GOOGLE_ANALYTICS4_AUDIENCES
            - GOOGLE_UNIVERSAL_ANALYTICS
            - ECONDA
            - SMART_TAG
            - PIANO
            - ADOBE_OMNITURE
            - EULERIAN
            - WEBTRENDS
            - KISSMETRICS
            - PIWIK
            - CRAZY_EGG
            - COM_SCORE
            - TEALIUM
            - YSANCE
            - M_PATHY
            - SMARTFOCUS
            - EMARSYS
            - EXPERTSENDER
            - TAG_COMMANDER
            - CONTENT_SQUARE
            - WEBTREKK
            - CUSTOM_INTEGRATIONS
            - HEAP
            - HEAP_COHORTS
            - KLAVIYO_COHORTS
            - SEGMENT
            - MIXPANEL
            - CLARITY
            - IABTCF
            - DATABRICKS
            - REDSHIFT
            - SMARTLOOK
            - MOUSEFLOW
            - KLAVIYO
            - FULLSTORY
            - AMPLITUDE
            - SNOWPLOW
            - JUNE
            - MPARTICLE
            - BIGQUERY
            - RUDDERSTACK
            - SNOWFLAKE
            - GLASSBOX
            - HUBSPOT
            - AIR360
            - DATADOG
            - QUANTUM_METRIC
            - GLASSBOX_V2
            - BRAZE
            - KAMELEOON_TRACKING
            - CUSTOM_TRACKING
            - VERCEL
            - AKAMAI
        reportingScript:
          type: string
        universalAnalyticsDimension:
          type: integer
          format: int32
      description: Tracking tools being used in this experiment
    Template:
      required:
        - siteId
      type: object
      properties:
        config:
          type: string
          description: >-
            Widget editor configuration field linked to the translation locales
            field in JSON format.
        cssCode:
          type: string
          description: CSS that belongs to this template.
        dateActivated:
          type: string
          description: Date when the widget was activated.
          format: date-time
          readOnly: true
        dateCreated:
          type: string
          description: Date when this widget was created
          format: date-time
          readOnly: true
        dateModified:
          type: string
          description: Date when this widget was modified
          format: date-time
          readOnly: true
        description:
          type: string
          description: Description of the template.
        htmlCode:
          type: string
          description: UI text that belongs to this template.
        id:
          type: integer
          description: Unique Id of the template
          format: int64
          readOnly: true
        isCustomTemplate:
          type: boolean
          description: Indicates if this is a custom template.
        name:
          type: string
          description: Name of the template.
        siteId:
          type: integer
          description: Web Id of the studio template.
          format: int64
        status:
          type: string
          description: Template status.
          enum:
            - DRAFT
            - ACTIVE
            - PAUSED
        tags:
          type: array
          description: Tags that belong to this template.
          items:
            type: string
            description: Tags that belong to this template.
        templateCssCode:
          type: string
          description: CSS code that belongs to this template.
        templateHtmlCode:
          type: string
          description: HTML code that belongs to this template.
        templateJavaScriptCode:
          type: string
          description: JavaScript code that belongs to this template.
        themeId:
          type: integer
          description: Id of the theme linked to the widget.
          format: int64
        type:
          type: string
          description: Type of template.
          enum:
            - TEMPLATE
            - EDITOR
            - PBX
        url:
          type: string
          description: Url associated with this template.
        useCustomData:
          type: boolean
          description: Indicates if custom data is being used.
        widgetEditorTemplate:
          type: string
          description: Widget editor code that belongs to this template.
    Image:
      type: object
      properties:
        altText:
          type: string
        baseColor:
          type: integer
          description: Image base color
          format: int32
        colorDepth:
          type: integer
          format: int32
        createdById:
          type: integer
          description: Account Id of the image uploader
          format: int64
          readOnly: true
        date:
          type: string
          description: Date the image was uploaded
          format: date-time
        description:
          type: string
        fileName:
          type: string
          description: Image file name
        fileWeight:
          type: integer
          description: Image file size in KB
          format: int64
          readOnly: true
        format:
          type: string
          description: 'Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)'
          enum:
            - PNG
            - JPEG
            - GIF
            - SVG
            - MVG
            - WEB
        height:
          type: integer
          description: Image height in pixels
          format: int32
        id:
          type: integer
          description: Unique Id of the image
          format: int64
          readOnly: true
        keywords:
          type: array
          description: Keyword(s) associated with the image
          items:
            type: string
            description: Keyword(s) associated with the image
        name:
          type: string
          description: Image name
        path:
          type: string
          description: Image path
        shared:
          type: boolean
          description: Indicates if the image has been shared
        siteId:
          type: integer
          description: Unique Id of the site your project is associated with
          format: int64
        size:
          type: integer
          description: Image size in bytes. Image file size should be maximum 5242880 bytes
          format: int64
          readOnly: true
        source:
          type: string
          description: Image source
        sourceUrl:
          type: string
          description: URL or the image source
        tags:
          type: array
          items:
            type: string
        width:
          type: integer
          description: Image width in pixels
          format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````